JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FilenameComponentListener Class Referenceabstract
juce_gui_basics » filebrowser

Listens for events happening to a FilenameComponent. More...

`#include <juce_FilenameComponent.h>`

## Public Member Functions
virtual | ~FilenameComponentListener ()=default
| Destructor.
virtual void | filenameComponentChanged (FilenameComponent *fileComponentThatHasChanged)=0
| This method is called after the FilenameComponent's file has been changed.

## Detailed Description

Listens for events happening to a FilenameComponent.

Use FilenameComponent::addListener() and FilenameComponent::removeListener() to register one of these objects for event callbacks when the filename is changed.

See also
  FilenameComponent

## Constructor & Destructor Documentation

## ◆ ~FilenameComponentListener()

virtual FilenameComponentListener::~FilenameComponentListener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ filenameComponentChanged()

virtual void FilenameComponentListener::filenameComponentChanged | ( | FilenameComponent * | fileComponentThatHasChanged | ) |
| pure virtual

This method is called after the FilenameComponent's file has been changed.

The documentation for this class was generated from the following file:

- juce_FilenameComponent.h